## univention-ldb-modules 8.0.0-4A~5.0.0.202103261122

=== wscript ===
#!/usr/bin/env python

APPNAME = 'univention-ldb-modules'
VERSION = '0.0.1'

blddir = 'bin'

import sys
import os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir + '/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba
import samba_dist
import Options


samba_dist.DIST_DIRS('''lib/ldb:.
                        buildtools:buildtools''')


def set_options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.PRIVATE_EXTENSION_DEFAULT('ldb', noextension='ldb')
    opt.RECURSE('buildtools/wafsamba')


def configure(conf):
    conf.RECURSE('buildtools/wafsamba')

    conf.CONFIG_PATH('LDB_MODULESDIR', conf.SUBST_ENV_VAR('MODULESDIR') + '/ldb')

    conf.CHECK_LIB('ldb')
    conf.CHECK_HEADERS('ldb.h')
    conf.CHECK_LIB('talloc')
    conf.CHECK_HEADERS('talloc.h')
    conf.CHECK_HEADERS('tevent.h')
    conf.CHECK_LIB('ldap')
    conf.CHECK_HEADERS('ldap.h')
    conf.CHECK_LIB('univentionpolicy')
    conf.CHECK_HEADERS('univention/ldap.h')
    conf.CHECK_LIB('univentionconfig')
    conf.CHECK_HEADERS('univention/config.h')
    # conf.CHECK_LIB('univentiondebug')
    # conf.CHECK_HEADERS('univention/debug.h')
    # conf.CHECK_FUNCS_IN('univention_config_get_string', 'univentionconfig', headers='univention/config.h')
    # conf.CHECK_FUNCS_IN('univention_ldap_open', 'univentionpolicy', headers='univention/ldap.h')
    # conf.CHECK_FUNCS_IN('ldap_search_ext_s ldap_msgfree ldap_unbind_ext', 'ldap', headers='univention/ldap.h')


def build(bld):
    bld.RECURSE('buildtools/wafsamba')

    if Options.is_install:
        modules_dir = bld.EXPAND_VARIABLES('${LDB_MODULESDIR}')
    else:
        # when we run from the source directory, we want to use
        # the current modules, not the installed ones
        modules_dir = os.path.join(os.getcwd(), 'bin/modules/ldb')

    bld.SAMBA_MODULE('ldb_univention_samaccountname_ldap_check',
                     'modules/univention_samaccountname_ldap_check.c modules/base64.c',
                     init_function='ldb_univention_samaccountname_ldap_check_init',
                     internal_module=False,
                     module_init_name='ldb_init_module',
                     deps='ldb talloc univentionpolicy univentionconfig ldap',
                     subsystem='ldb')

    bld.SAMBA_MODULE('ldb_univention_ldb_log',
                     'modules/univention_ldb_log.c',
                     init_function='ldb_univention_ldb_log_init',
                     internal_module=False,
                     module_init_name='ldb_init_module',
                     deps='ldb talloc',
                     subsystem='ldb')

    # have a separate subsystem for this subsystem, so it can rebuild
    # for install with a different -DLDB_MODULESDIR=
    bld.SAMBA_SUBSYSTEM('LIBLDB_MAIN',
                        None,
                        cflags=['-DLDB_MODULESDIR=\"%s\"' % modules_dir])


def test(ctx):
    '''run testsuite'''
    import Utils
    import samba_utils
    import shutil
    test_prefix = "%s/st" % (Utils.g_module.blddir)
    shutil.rmtree(test_prefix, ignore_errors=True)
    os.makedirs(test_prefix)
    os.environ['TEST_DATA_PREFIX'] = test_prefix
    cmd = 'tests/test-soloading.sh'
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    # FIXME: Run python testsuite
    sys.exit(ret)


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()


def reconfigure(ctx):
    import samba_utils
    samba_utils.reconfigure(ctx)

=== debian/changelog ===
univention-ldb-modules (8.0.0-4A~5.0.0.202103261122) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 26 Mar 2021 11:22:29 +0100

univention-ldb-modules (8.0.0-4) unstable; urgency=medium

  * Bug #43686: use systemctl calls for UDL

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 17 Nov 2020 12:36:17 +0100

univention-ldb-modules (8.0.0-3) unstable; urgency=medium

  * Bug #49898: Update dependency on python3-samba

 -- Arvid <requate@univention.de>  Thu, 22 Oct 2020 20:29:15 +0200

univention-ldb-modules (8.0.0-2) unstable; urgency=medium

  * Bug #49898: Update dependency on libldb2

 -- Arvid <requate@univention.de>  Thu, 22 Oct 2020 12:34:31 +0200

univention-ldb-modules (8.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 02 Jul 2020 17:16:38 +0200

univention-ldb-modules (7.0.0-6) unstable; urgency=medium

  * Bug #51532: Restart univention-directory-listener on package update 

 -- Erik Damrose <damrose@univention.de>  Thu, 02 Jul 2020 17:16:37 +0200

univention-ldb-modules (7.0.0-5) unstable; urgency=medium

  * Bug #49172: remove python-support

 -- Florian Best <best@univention.de>  Tue, 12 Nov 2019 09:26:36 +0100

univention-ldb-modules (7.0.0-4) unstable; urgency=medium

  * Bug #47957: Removed dependency to python-ucs-school

 -- Felix Botner <botner@univention.de>  Fri, 08 Feb 2019 12:51:10 +0100

univention-ldb-modules (7.0.0-3) unstable; urgency=medium

  * Bug #47957: Remove dependency to univention-samba4

 -- Ole Schwiegert <schwiegert@univention.de>  Tue, 22 Jan 2019 12:08:06 +0100

univention-ldb-modules (7.0.0-2) unstable; urgency=medium

  * Bug #47954: Move 97libunivention-ldb-modules.inst code to
    96univention-samba4.inst
    Bug #47957: Prepare move of samba4slapvepdc join scripts to UCS@school

 -- Arvid Requate <requate@univention.de>  Thu, 17 Jan 2019 10:21:54 +0100

univention-ldb-modules (7.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:44 +0100

univention-ldb-modules (6.0.0-7) unstable; urgency=low

  * Bug #47234: mark joinscript as successfully run if it is run on a
    non-UCS@school-slave

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 27 Jun 2018 09:41:02 +0200

univention-ldb-modules (6.0.0-6) unstable; urgency=low

  * Bug #47234: improved UCS@school slave check

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 26 Jun 2018 21:40:44 +0200

univention-ldb-modules (6.0.0-5) unstable; urgency=medium

  * Bug #47234: re-add joinscripts and add check instead

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 26 Jun 2018 13:00:48 +0200

univention-ldb-modules (6.0.0-4) unstable; urgency=medium

  * Bug #47234: Move ucsschool specific join scripts into
    ucs-schol-metapackage

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 21 Jun 2018 14:15:14 +0200

univention-ldb-modules (6.0.0-3) unstable; urgency=medium

  * Bug #47064: bindpwdfile support

 -- Felix Botner <botner@univention.de>  Fri, 25 May 2018 14:41:42 +0200

univention-ldb-modules (6.0.0-2) unstable; urgency=medium

  * Bug #43336: remove XS-Python-Version

 -- Florian Best <best@univention.de>  Thu, 21 Dec 2017 11:52:27 +0100

univention-ldb-modules (6.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:35 +0100

univention-ldb-modules (5.0.9-4) unstable; urgency=medium

  * Bug #45263: improve return codes

 -- Florian Best <best@univention.de>  Tue, 14 Nov 2017 14:20:12 +0100

univention-ldb-modules (5.0.9-3) unstable; urgency=medium

  * Bug #44118: invoke-rc.d doesn't work with the one-shot samba.service

 -- Arvid Requate <requate@univention.de>  Wed, 29 Mar 2017 20:12:26 +0200

univention-ldb-modules (5.0.9-2) unstable; urgency=medium

  * Bug #34498: use univention.lib.umc.Client

 -- Florian Best <best@univention.de>  Fri, 20 Jan 2017 18:33:34 +0100

univention-ldb-modules (5.0.8-4) unstable; urgency=medium

  * Bug #40435: Compatibility with umc-slective-udm pre 5.0.0-2

 -- Arvid Requate <requate@univention.de>  Thu, 24 Nov 2016 12:12:40 +0100

univention-ldb-modules (5.0.8-3) unstable; urgency=medium

  * Bug #40435: Improve error handling

 -- Arvid Requate <requate@univention.de>  Thu, 17 Nov 2016 10:48:22 +0100

univention-ldb-modules (5.0.8-2) unstable; urgency=medium

  * Bug #40435: make univention_samaccountname_ldap_check rewrite
    the machine DN of the ldb add request to the Samba/AD DN proposed
    by ucs-school-create_windows_computer.

 -- Arvid Requate <requate@univention.de>  Wed, 16 Nov 2016 20:07:46 +0100

univention-ldb-modules (5.0.8-1) unstable; urgency=medium

  * ucs-school-create_windows_computer: Add the school ou to the
    arguments. Otherwise the computer might be added to the wrong ou.
    The script has been converted to Python since the UCS@school python
    lib has functions to determine the School ou. Thanks to Florian for
    the patch (Bug #41765)

 -- Stefan Gohmann <gohmann@univention.de>  Thu, 01 Sep 2016 20:33:09 +0200

univention-ldb-modules (5.0.7-1) unstable; urgency=medium

  * Demote Slave PDC in central S4 (Bug #41167)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 30 Aug 2016 16:16:54 +0200

univention-ldb-modules (5.0.6-1) unstable; urgency=medium

  * Revert: 'Remove Slave PDC account from Master S4 LDAP (Bug #41167)'

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 30 Aug 2016 13:25:57 +0200

univention-ldb-modules (5.0.5-1) unstable; urgency=medium

  * Remove Slave PDC account from Master S4 LDAP (Bug #41167)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 23 Aug 2016 08:47:28 +0200

univention-ldb-modules (5.0.4-1) unstable; urgency=medium

  * Increase version number of samba4slavepdc join script to remove


=== debian/control ===
Source: univention-ldb-modules
Section: devel
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 ldb-tools,
 libldb-dev (>= 2:1.1.25-1),
 libtalloc-dev,
 libtevent-dev,
 libunivention-config-dev,
 libunivention-policy-dev,
 python3,
 samba-dev,
 univention-config-dev (>= 15.0.3),
Standards-Version: 3.9.1

Package: libunivention-ldb-modules
Architecture: any
Section: libs
Depends:
 ldb-tools,
 libldb2,
 libunivention-config0,
 libunivention-policy0,
 python3-samba,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Univention LDB modules
 This package provides UCS specific LDB modules
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: libunivention-ldb-modules-dbg
Architecture: any
Section: libs
Depends:
 libunivention-ldb-modules (= ${binary:Version}),
 ${misc:Depends},
Description: Univention LDB modules
 This package provides debugging symbols for UCS specific LDB modules
 .
 This package provides debugging information for the UCS specific
 LDB modules. Install it to get a better backtrace in the event of a
 crash.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention License
#  rules file for the debian package
#
# Copyright 2004-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

CFLAGS = -g -Wall -I/usr/include/samba-4.0

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp
WAF=buildtools/bin/waf

export PYTHON=$(shell which `pyversions -r`)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with ucr

override_dh_auto_configure:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure \
		--prefix=/usr \
		--disable-rpath-install \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(MAKE) check
endif

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)

override_dh_install:
	## put the following to files into dh_install sourcedir
	install ucs-school-create_windows_computer $(DESTDIR)
	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR)

override_dh_strip:
	dh_strip -a --dbg-package=libunivention-ldb-modules-dbg

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	-$(WAF) clean
	rm -rf buildtools/bin/.waf-*
	rm -f buildtools/wafsamba/*.pyc
	dh_clean

## univention-ldb-modules 8.0.0-5A~5.0.0.202108241546

=== debian/changelog ===
univention-ldb-modules (8.0.0-5A~5.0.0.202108241546) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 24 Aug 2021 15:46:16 +0200

univention-ldb-modules (8.0.0-5) unstable; urgency=medium

  * Bug #53567: migrate univention-ldb-modules to Python 3

 -- Florian Best <best@univention.de>  Tue, 24 Aug 2021 15:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: univention-ldb-modules
-Section: devel
+Section: univention
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
@@ -40,7 +40,7 @@
 Depends:
  libunivention-ldb-modules (= ${binary:Version}),
  ${misc:Depends},
-Description: Univention LDB modules
+Description: Univention LDB modules debug symbols
  This package provides debugging symbols for UCS specific LDB modules
  .
  This package provides debugging information for the UCS specific

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention License
 #  rules file for the debian package
 #
-# Copyright 2004-2020 Univention GmbH
+# Copyright 2004-2021 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-ldb-modules 8.0.0-5A~5.0.0.202111071307

=== debian/changelog ===
univention-ldb-modules (8.0.0-5A~5.0.0.202111071307) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sun, 07 Nov 2021 13:07:55 +0100

## univention-ldb-modules 8.0.0-6A~5.0.0.202202031157

=== Makefile ===
#!/usr/bin/make -f
# simple makefile wrapper to run waf

WAF=WAF_MAKE=1 buildtools/bin/waf

all: build;
everything: all;
testsuite: all;
check: test;
installcheck: test;

%:
	$(WAF) $@

dist dictcheck: WAFLOCK=/dev/null

show_waf_options:
	$(WAF) --help

=== wscript ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 blddir = 'bin'
 
-import sys
-import os
+import sys  # noqa: F402
+import os  # noqa: F402
 
 # find the buildtools directory
 srcdir = '.'
@@ -14,9 +14,9 @@
     srcdir = '../' + srcdir
 sys.path.insert(0, srcdir + '/buildtools/wafsamba')
 
-import wafsamba
-import samba_dist
-import Options
+import wafsamba  # noqa: F401
+import samba_dist  # noqa: F402
+import Options  # noqa: F402
 
 
 samba_dist.DIST_DIRS('''lib/ldb:.
@@ -39,17 +39,8 @@
     conf.CHECK_LIB('talloc')
     conf.CHECK_HEADERS('talloc.h')
     conf.CHECK_HEADERS('tevent.h')
-    conf.CHECK_LIB('ldap')
-    conf.CHECK_HEADERS('ldap.h')
-    conf.CHECK_LIB('univentionpolicy')
-    conf.CHECK_HEADERS('univention/ldap.h')
     conf.CHECK_LIB('univentionconfig')
     conf.CHECK_HEADERS('univention/config.h')
-    # conf.CHECK_LIB('univentiondebug')
-    # conf.CHECK_HEADERS('univention/debug.h')
-    # conf.CHECK_FUNCS_IN('univention_config_get_string', 'univentionconfig', headers='univention/config.h')
-    # conf.CHECK_FUNCS_IN('univention_ldap_open', 'univentionpolicy', headers='univention/ldap.h')
-    # conf.CHECK_FUNCS_IN('ldap_search_ext_s ldap_msgfree ldap_unbind_ext', 'ldap', headers='univention/ldap.h')
 
 
 def build(bld):
@@ -67,7 +58,7 @@
                      init_function='ldb_univention_samaccountname_ldap_check_init',
                      internal_module=False,
                      module_init_name='ldb_init_module',
-                     deps='ldb talloc univentionpolicy univentionconfig ldap',
+                     deps='ldb talloc univentionconfig',
                      subsystem='ldb')
 
     bld.SAMBA_MODULE('ldb_univention_ldb_log',

=== debian/changelog ===
univention-ldb-modules (8.0.0-6A~5.0.0.202202031157) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 03 Feb 2022 11:57:46 +0100

univention-ldb-modules (8.0.0-6) unstable; urgency=low

  * Bug #48823: Fix error message in postinst

 -- Philipp Hahn <hahn@univention.de>  Thu, 03 Feb 2022 11:49:49 +0100

=== debian/control ===
Source: univention-ldb-modules
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 ldb-tools,
 libunivention-config-dev,
 python3,
 samba-dev,
 univention-config-dev (>= 15.0.3),
Standards-Version: 3.9.1

Package: libunivention-ldb-modules
Architecture: any
Section: libs
Depends:
 ldb-tools,
 python3-samba,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Univention LDB modules
 This package provides UCS specific LDB modules
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -30,56 +30,17 @@
 # /usr/share/common-licenses/AGPL-3; if not, see
 # <https://www.gnu.org/licenses/>.
 
-CFLAGS = -g -Wall -I/usr/include/samba-4.0
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-
+CFLAGS += -I/usr/include/samba-4.0
 LDFLAGS += -Wl,--as-needed
 
-DESTDIR=$(CURDIR)/debian/tmp
-WAF=buildtools/bin/waf
-
-export PYTHON=$(shell which `pyversions -r`)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with ucr
+	dh $@ --buildsystem=makefile --with ucr
 
 override_dh_auto_configure:
-	dh_testdir
 	CFLAGS="$(CFLAGS)" ./configure \
 		--prefix=/usr \
 		--disable-rpath-install \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba
-
-override_dh_auto_build:
-	dh_auto_build --buildsystem=makefile
-
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	$(MAKE) check
-endif
-
-override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(DESTDIR)
-
-override_dh_install:
-	## put the following to files into dh_install sourcedir
-	install ucs-school-create_windows_computer $(DESTDIR)
-	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR)
-
-override_dh_strip:
-	dh_strip -a --dbg-package=libunivention-ldb-modules-dbg
-
-override_dh_auto_clean:
-	dh_testdir
-	dh_testroot
-	-$(WAF) clean
-	rm -rf buildtools/bin/.waf-*
-	rm -f buildtools/wafsamba/*.pyc
-	dh_clean

## univention-ldb-modules 8.0.0-7A~5.0.0.202205181802

=== debian/changelog ===
univention-ldb-modules (8.0.0-7A~5.0.0.202205181802) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 18 May 2022 18:02:36 +0200

univention-ldb-modules (8.0.0-7) unstable; urgency=medium

  * Bug #54768: Backup server will be able to join a single server school environment

 -- Juan Pedro Torres <torres-munoz.extern@univention.de>  Wed, 18 May 2022 15:11:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper,
  ldb-tools,
  libunivention-config-dev,
+ python,
  python3,
  samba-dev,
  univention-config-dev (>= 15.0.3),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention License
 #  rules file for the debian package
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-ldb-modules 8.0.0-7A~5.0.0.202206171906

=== debian/changelog ===
univention-ldb-modules (8.0.0-7A~5.0.0.202206171906) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 17 Jun 2022 19:06:38 +0200

## univention-ldb-modules 8.0.0-7A~5.0.0.202207191820

=== debian/changelog ===
univention-ldb-modules (8.0.0-7A~5.0.0.202207191820) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 19 Jul 2022 18:20:14 +0200

## univention-ldb-modules 8.0.1-1A~5.0.0.202302031947

=== wscript ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 blddir = 'bin'
 
-import sys  # noqa: F402
-import os  # noqa: F402
+import os  # noqa: F402,E402
+import sys  # noqa: F402,E402
+
 
 # find the buildtools directory
 srcdir = '.'
@@ -14,9 +15,9 @@
     srcdir = '../' + srcdir
 sys.path.insert(0, srcdir + '/buildtools/wafsamba')
 
-import wafsamba  # noqa: F401
-import samba_dist  # noqa: F402
-import Options  # noqa: F402
+import Options  # noqa: F402,E402
+import samba_dist  # noqa: F402,E402
+import wafsamba  # noqa: F401,E402
 
 
 samba_dist.DIST_DIRS('''lib/ldb:.
@@ -77,10 +78,11 @@
 
 
 def test(ctx):
-    '''run testsuite'''
+    """run testsuite"""
+    import shutil
+
+    import samba_utils
     import Utils
-    import samba_utils
-    import shutil
     test_prefix = "%s/st" % (Utils.g_module.blddir)
     shutil.rmtree(test_prefix, ignore_errors=True)
     os.makedirs(test_prefix)
@@ -88,12 +90,12 @@
     cmd = 'tests/test-soloading.sh'
     ret = samba_utils.RUN_COMMAND(cmd)
     print("testsuite returned %d" % ret)
-    # FIXME: Run python testsuite
+    # FIXME: Run Python testsuite
     sys.exit(ret)
 
 
 def dist():
-    '''makes a tarball for distribution'''
+    """makes a tarball for distribution"""
     samba_dist.dist()

=== debian/changelog ===
univention-ldb-modules (8.0.1-1A~5.0.0.202302031947) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 19:47:22 +0100

univention-ldb-modules (8.0.1-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention License
 #  rules file for the debian package
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-ldb-modules 8.0.1-1A~5.0.0.202303231022

=== debian/changelog ===
univention-ldb-modules (8.0.1-1A~5.0.0.202303231022) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 23 Mar 2023 10:22:31 +0100

## univention-ldb-modules 8.0.2-2

=== wscript ===
--- 
+++ 
@@ -1,12 +1,7 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
-APPNAME = 'univention-ldb-modules'
-VERSION = '0.0.1'
-
-blddir = 'bin'
-
-import os  # noqa: F402,E402
-import sys  # noqa: F402,E402
+import os
+import sys
 
 
 # find the buildtools directory
@@ -15,16 +10,20 @@
     srcdir = '../' + srcdir
 sys.path.insert(0, srcdir + '/buildtools/wafsamba')
 
-import Options  # noqa: F402,E402
 import samba_dist  # noqa: F402,E402
 import wafsamba  # noqa: F401,E402
 
+
+APPNAME = 'univention-ldb-modules'
+VERSION = '0.0.1'
+
+blddir = 'bin'
 
 samba_dist.DIST_DIRS('''lib/ldb:.
                         buildtools:buildtools''')
 
 
-def set_options(opt):
+def options(opt):
     opt.BUILTIN_DEFAULT('NONE')
     opt.PRIVATE_EXTENSION_DEFAULT('ldb', noextension='ldb')
     opt.RECURSE('buildtools/wafsamba')
@@ -47,7 +46,7 @@
 def build(bld):
     bld.RECURSE('buildtools/wafsamba')
 
-    if Options.is_install:
+    if bld.is_install:
         modules_dir = bld.EXPAND_VARIABLES('${LDB_MODULESDIR}')
     else:
         # when we run from the source directory, we want to use
@@ -82,11 +81,12 @@
     import shutil
 
     import samba_utils
-    import Utils
-    test_prefix = "%s/st" % (Utils.g_module.blddir)
+    from waflib import Context
+    test_prefix = "%s/st" % (Context.g_module.blddir)
     shutil.rmtree(test_prefix, ignore_errors=True)
     os.makedirs(test_prefix)
     os.environ['TEST_DATA_PREFIX'] = test_prefix
+    os.environ['LDB_MODULES_PATH'] = Context.g_module.blddir + "/modules/ldb"
     cmd = 'tests/test-soloading.sh'
     ret = samba_utils.RUN_COMMAND(cmd)
     print("testsuite returned %d" % ret)

=== debian/changelog ===
univention-ldb-modules (8.0.2-2) unstable; urgency=medium

  * Bug #55907: Version bump for relinking

 -- Arvid <requate@univention.de>  Fri, 09 Jun 2023 15:57:31 +0200

univention-ldb-modules (8.0.2-1) unstable; urgency=medium

  * Bug #55921: update waf to 2.0.25 to use Python 3 as build dependency

 -- Florian Best <best@univention.de>  Wed, 29 Mar 2023 20:35:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
+ debhelper-compat (=12),
  ldb-tools,
  libunivention-config-dev,
- python,
  python3,
  samba-dev,
  univention-config-dev (>= 15.0.3),

## univention-ldb-modules 9.0.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 # simple makefile wrapper to run waf
 
-WAF=WAF_MAKE=1 buildtools/bin/waf
+WAF_BINARY=$(PYTHON) ./buildtools/bin/waf
+WAF=PYTHONHASHSEED=1 WAF_MAKE=1 WAFLOCK=.lock-waf $(WAF_BINARY)
 
 all: build;
 everything: all;

=== debian/changelog ===
univention-ldb-modules (9.0.2) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:34 +0100

univention-ldb-modules (9.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:34 +0100

univention-ldb-modules (8.0.4-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:55 +0100

univention-ldb-modules (8.0.3-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-ldb-modules 10.0.3

=== wscript ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/env python3
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# SPDX-FileCopyrightText: 2024 Univention GmbH
+# SPDX-License-Identifier: AGPL-3.0-only
 
 import os
 import sys
@@ -73,7 +78,7 @@
     # for install with a different -DLDB_MODULESDIR=
     bld.SAMBA_SUBSYSTEM('LIBLDB_MAIN',
                         None,
-                        cflags=['-DLDB_MODULESDIR=\"%s\"' % modules_dir])
+                        cflags=['-DLDB_MODULESDIR="%s"' % modules_dir])
 
 
 def test(ctx):

=== debian/changelog ===
univention-ldb-modules (10.0.3) unstable; urgency=medium

  * Bug #57690: Version bump to re-build

 -- Arvid <requate@univention.de>  Wed, 23 Oct 2024 11:51:29 +0200

univention-ldb-modules (10.0.2) unstable; urgency=medium

  * Bug #56604: drop Python 2 compatibility

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 02:13:36 +0100

univention-ldb-modules (10.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:22 +0100

## univention-ldb-modules 10.4.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+# SPDX-FileCopyrightText: 2025 Univention GmbH
+# SPDX-License-Identifier: AGPL-3.0-only
+
 # simple makefile wrapper to run waf
 
 WAF_BINARY=$(PYTHON) ./buildtools/bin/waf

=== wscript ===
--- 
+++ 
@@ -1,8 +1,5 @@
 #!/usr/bin/env python3
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
-#
-# SPDX-FileCopyrightText: 2024 Univention GmbH
+# SPDX-FileCopyrightText: 2024-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only
 
 import os

=== debian/changelog ===
univention-ldb-modules (10.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:03 +0100

univention-ldb-modules (10.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:22 +0200

univention-ldb-modules (10.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:51 +0200

univention-ldb-modules (10.0.4-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  ldb-tools,
  libunivention-config-dev,
  python3,

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention License
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

CFLAGS += -I/usr/include/samba-4.0
LDFLAGS += -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=makefile --with ucr

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure \
		--prefix=/usr \
		--disable-rpath-install \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/samba
